import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page={
    pageSize:number|string,
    pageNum:number|string
}

export interface Params extends Page{
    miniappId:string,//微信小程序组件ID
    distributorId:string,//分销商ID
    appType:string,//小程序类型 1:微信小程序、2：抖音小程序
    orderId:string,//用户订单号
    merchantOrderId:string,//商户订单号
    startTime?:string,//开始时间
    endTime?:string,//结束时间
    changeType?:string,//书币变更类型（1：书币充值、2：参加活动获取、3：抽奖获取 、-1：阅读小说消费、-2：阅读小说消费）
    orderStatus?:string,//订单状态：1 待支付、2 已支付
    orderType?:string,//订单类型：1：书币充值、2：vip充值、3：购买整本）
    payChannel?:string,//支付渠道（1：微信小程序支付）
}
// ======================================长篇================================
/**获取分销商账号列表 */
export async function longBookOrderList(params:Params) {
  return request(api+'/admin/longBookOrder/list', {
    method: 'GET',
    params
  });
}

// ======================================短篇================================
export async function shortBookOrderList(params:Params) {
    return request(api+'/admin/shortBookOrder/list', {
      method: 'GET',
      params
    })
  }